@echo off
rem  ProDoor/PCBoard batch file for testing GIF files
rem  using GIFtest.  Requires ProEcho from Sam Smith.
proecho %2 ~GIFtest 4.0 - Courtesy of The Bard's Lair (718) 381-3651
proecho %2 ~Testing Uploaded GIF File...
rem  Log GIFs to C:\PCB\GIFLOG
rem  Minimum size GIFs 321x201x16
rem  Node 1 - Search for GIFTEST.CFG in the current directory
rem  Erase failed GIFs
giftest %1 /L:C:\PCB\GIFLOG /E /M:321x201x16 /N:1
if errorlevel==25 goto DUPE
if errorlevel==20 goto BADREZ
if errorlevel==10 goto GIFLITE
if errorlevel==1 goto INCOMPLETE
proecho %2 ~Passed all tests!~~
goto end
:INCOMPLETE
proecho %2 ~Invalid Image or Incomplete Upload
proecho %2 ~Deleting GIF...~~
del %1
goto end
:GIFLITE
proecho %2 ~Detected GIFLITE, passed all tests~~
goto end
:BADREZ
proecho %2 ~Failed Minimum Resolution of 321x201x16
proecho %2 ~Deleteing GIF...~~
del %1
goto end
:DUPE
proecho %2 ~Duplicate GIF!
proecho %2 ~Deleting GIF...~~
del %1
:END
